%if 0%{?el7}
%define dist .el7
%endif

Name:		compat-libdvbpsi
Version:	0.2.2
Release:	5%{?dist}
Summary:	libdvbpsi is a simple library designed for decoding and generation of MPEG TS and DVB PSI tables according to standards ISO/IEC 13818 and ITU-T H.222.0.

Group:		Development/Libraries
License:	LGPLv2.1
URL:		https://www.videolan.org/developers/libdvbpsi.html
Source0:	http://download.videolan.org/pub/libdvbpsi/%{version}/libdvbpsi-%{version}.tar.bz2

BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Conflicts:	libdvbpsi

%description
%{summary}.

%prep
%setup -q -n libdvbpsi-%{version}


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_includedir}/dvbpsi/*.h
%{_libdir}/*.so*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.2.2-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.2.2-4
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.2.2-3
- Rebuilt for fc22

* Tue Apr  9 2013 momo-i <webmaster@momo-i.org> 0.2.2-1
- Initial rpm release.
